declare class RadarError extends Error {
    status: string;
    constructor(message: string);
}
export declare class RadarPublishableKeyError extends RadarError {
    constructor(message: string);
}
export declare class RadarLocationError extends RadarError {
    constructor(message: string);
}
export declare class RadarPermissionsError extends RadarError {
    constructor(message: string);
}
export declare class RadarVerifyAppError extends RadarError {
    constructor();
}
export declare class RadarBadRequestError extends RadarError {
    code: number;
    response?: any;
    constructor(response?: any);
}
export declare class RadarUnauthorizedError extends RadarError {
    code: number;
    response?: any;
    constructor(response?: any);
}
export declare class RadarPaymentRequiredError extends RadarError {
    code: number;
    response?: any;
    constructor(response?: any);
}
export declare class RadarForbiddenError extends RadarError {
    code: number;
    response?: any;
    constructor(response?: any);
}
export declare class RadarNotFoundError extends RadarError {
    code: number;
    response?: any;
    constructor(response?: any);
}
export declare class RadarRateLimitError extends RadarError {
    code: number;
    response?: any;
    type: string;
    constructor(response?: any);
}
export declare class RadarServerError extends RadarError {
    response?: any;
    constructor(response?: any);
}
export declare class RadarNetworkError extends RadarError {
    constructor();
}
export declare class RadarUnknownError extends RadarError {
    response?: any;
    constructor(response?: any);
}
export declare class RadarAutocompleteContainerNotFound extends RadarError {
    constructor(message: string);
}
export {};
